Subject: Re: bug#48370: native-comp

From: Konrad Podczeck <[email-masked]>
Date: Wed, 12 May 2021 14:37:36 +0200

Hi Andrea,

thanks for your reply. Following one of the mails in the treat of 47783, I started Emacs from the command line and then everything worked well.

Best,

Konrad

> Am 12.05.2021 um 00:09 schrieb Andrea Corallo <[email-masked]>:
> 
> Konrad Podczeck <[email-masked]> writes:
> 
>> I have compiled Emacs with the option --with-native-compilation. But then, after starting Emacs, I get more that 80 error messages, all having the form:
>> 
>> Warning (comp): libgccjit.so: error: error invoking gcc driver Disable showing Disable logging
>> Warning (comp):
>> /Users/konradpodczeck/Git/emacs-28/nextstep/Emacs.app/Contents/Resources/lisp/emacs-lisp/cl-lib.el.gz:
>> Error: Internal native compiler error failed to compile Disable
>> showing Disable logging
>> 
>> (This was the first one, the following ones differ just in the el-file invoked.)
>> 
>> I am using gcc 11.1.0 and libgccjit 11.1.0, both installed from homebrew on macos “big sur."
> 
> Hi Konrad,
> 
> this should be a duplicate of 47783 (environment related issue), please
> have a look.
> 
> Regards
> 
>  Andrea